// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Ide.StandardHeader {
    
    
    internal partial class StandardHeaderPolicyPanelWidget {
        
        private Gtk.VBox vbox2;
        
        private Gtk.ScrolledWindow GtkScrolledWindow;
        
        private Gtk.TextView headerText;
        
        private Gtk.CheckButton includeAutoCheck;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Ide.StandardHeader.StandardHeaderPolicyPanelWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.Ide.StandardHeader.StandardHeaderPolicyPanelWidget";
            // Container child MonoDevelop.Ide.StandardHeader.StandardHeaderPolicyPanelWidget.Gtk.Container+ContainerChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            // Container child vbox2.Gtk.Box+BoxChild
            this.GtkScrolledWindow = new Gtk.ScrolledWindow();
            this.GtkScrolledWindow.Name = "GtkScrolledWindow";
            this.GtkScrolledWindow.ShadowType = ((Gtk.ShadowType)(1));
            // Container child GtkScrolledWindow.Gtk.Container+ContainerChild
            this.headerText = new Gtk.TextView();
            this.headerText.CanFocus = true;
            this.headerText.Name = "headerText";
            this.GtkScrolledWindow.Add(this.headerText);
            this.vbox2.Add(this.GtkScrolledWindow);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.vbox2[this.GtkScrolledWindow]));
            w2.Position = 0;
            // Container child vbox2.Gtk.Box+BoxChild
            this.includeAutoCheck = new Gtk.CheckButton();
            this.includeAutoCheck.CanFocus = true;
            this.includeAutoCheck.Name = "includeAutoCheck";
            this.includeAutoCheck.Label = Mono.Unix.Catalog.GetString("_Include standard header in new files");
            this.includeAutoCheck.DrawIndicator = true;
            this.includeAutoCheck.UseUnderline = true;
            this.vbox2.Add(this.includeAutoCheck);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.vbox2[this.includeAutoCheck]));
            w3.Position = 1;
            w3.Expand = false;
            w3.Fill = false;
            this.Add(this.vbox2);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Hide();
        }
    }
}
